/***************************************************************************
                       dcopkommanderif.h  -  description
                             -------------------
    begin                : Tue Jan 27 2004
    copyright            : (C) 2004 by Andras Mantia <amantia@kde.org>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; version 2 of the License.               *
 *                                                                         *
 ***************************************************************************/

#ifndef DCOPKOMMANDERIF_H
#define DCOPKOMMANDERIF_H

#include <dcopobject.h>
#include <tqstringlist.h>

/* See widgets/specials.cpp for description. Deprecated methods are replaced by methods above. */

class DCOPKommanderIf : virtual public DCOPObject
{
  K_DCOP
  
  k_dcop:
virtual void setEnabled(const TQString& widgetName, bool enable) = 0;  
virtual void enableWidget(const TQString& widgetName, bool enable) = 0;    /* DEPRECATED */
virtual void setVisible(const TQString& widgetName, bool enable) = 0;  
virtual void setText(const TQString& widgetName, const TQString& text) = 0; 
virtual void changeWidgetText(const TQString& widgetName, const TQString& text) = 0; /* DEPRECATED */
virtual TQString text(const TQString& widgetName) = 0;
virtual void setSelection(const TQString& widgetName, const TQString& text) = 0;
virtual void setCurrentListItem(const TQString& widgetName, const TQString& text) = 0; /* DEPRECATED */
virtual TQString selection(const TQString& widgetName) = 0;
virtual int currentItem(const TQString &widgetName) = 0;  
virtual TQString item(const TQString &widgetName, int index) = 0;  
virtual int itemDepth(const TQString &widgetName, int index) = 0;  
virtual TQString itemPath(const TQString &widgetName, int index) = 0;  
virtual void removeItem(const TQString &widgetName, int index) = 0;
virtual void removeListItem(const TQString &widgetName, int index) = 0; /* DEPRECATED */
virtual void insertItem(const TQString &widgetName, const TQString &item, int index) = 0;
virtual void addListItem(const TQString &widgetName, const TQString &item, int index) = 0; /* DEPRECATED */
virtual void setPixmap(const TQString &widgetName, const TQString &iconName, int index) = 0;
virtual void insertItems(const TQString &widgetName, const TQStringList &items, int index) = 0;
virtual void addListItems(const TQString &widgetName, const TQStringList &items, int index) = 0;/*DEPRECATED*/
virtual void addUniqueItem(const TQString &widgetName, const TQString &item) = 0;
virtual int findItem(const TQString &widgetName, const TQString &item) = 0;
virtual void clear(const TQString &widgetName) = 0;
virtual void clearList(const TQString &widgetName) = 0;  /* DEPRECATED */
virtual void setCurrentItem(const TQString &widgetName, int index) = 0;
virtual void setCurrentTab(const TQString &widgetName, int index) = 0; /* DEPRECATED */
virtual void insertTab(const TQString &widgetName, const TQString &label, int index) = 0;
virtual bool checked(const TQString &widgetName) = 0;
virtual void setChecked(const TQString &widgetName, bool checked) = 0;
virtual void setAssociatedText(const TQString &widgetName, const TQString &text) = 0;
virtual TQStringList associatedText(const TQString &widgetName) = 0;
virtual TQString type(const TQString& widget) = 0;
virtual TQStringList children(const TQString& parent, bool recursive) = 0;
virtual TQString global(const TQString& variableName) = 0;
virtual void setGlobal(const TQString& variableName, const TQString& value) = 0;
virtual void setMaximum(const TQString &widgetName, int value) = 0;
virtual TQString execute(const TQString &widgetName) = 0;   
virtual void cancel(const TQString &widgetName) = 0;   
virtual int count(const TQString &widgetName) = 0;
virtual int currentColumn(const TQString &widgetName) = 0;
virtual int currentRow(const TQString &widgetName) = 0;
virtual void insertRow(const TQString &widgetName, int row, int count) = 0;
virtual void insertColumn(const TQString &widgetName, int column, int count) = 0;
virtual void setCellText(const TQString &widgetName, int row, int column, const TQString& text) = 0;
virtual TQString cellText(const TQString &widgetName, int row, int column) = 0;
virtual void removeRow(const TQString &widgetName, int row, int count) = 0;
virtual void removeColumn(const TQString &widgetName, int column, int count) = 0;
virtual void setRowCaption(const TQString &widgetName, int row, const TQString& text) = 0;
virtual void setColumnCaption(const TQString &widgetName, int column, const TQString& text) = 0;
virtual int getWinID() = 0;
virtual void setBusyCursor(bool busy) = 0;
};

#endif
